#
# spec file for package ghc-pureMD5
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name pureMD5
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        2.1.3
Release:        8.1
Summary:        A Haskell-only implementation of the MD5 digest (hash) algorithm
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-binary-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-cereal-devel
BuildRequires:  ghc-crypto-api-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-tagged-devel
%if %{with tests}
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-crypto-api-tests-devel
BuildRequires:  ghc-pretty-hex-devel
BuildRequires:  ghc-test-framework-devel
BuildRequires:  ghc-test-framework-quickcheck2-devel
%endif

%description
A Haskell-only implementation of the MD5 digest (hash) algorithm. This now
supports the crypto-api class interface.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE

%files devel -f %{name}-devel.files

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 2.1.3 revision 0 with cabal2obs.
* Wed May 11 2016 mimi.vx@gmail.com
- update to 2.1.3
- remove no-inline-get-nth-word.patch -- upstreamed
* Thu Mar 24 2016 peter.trommler@ohm-hochschule.de
- add no-inline-get-nth-word.patch
  * patch by Ben Gamari
  * see https://github.com/TomMD/pureMD5/pull/3 for details
* Mon Mar 21 2016 peter.trommler@ohm-hochschule.de
- fix ppc* builds
  * see Haskell Trac #11720 for details
* Thu Dec 24 2015 mimi.vx@gmail.com
- initial commit
